# Fundbox Integration for OroCommerce platform


## Overview
With Fundbox, you can offer your B2B customers net terms and extended financing* while you get paid right away. All within the OroCommerce checkout experience.

### Get Paid Right Away

You get paid as soon as the next business day when your customer pays you with Fundbox.

### Sell More

With more time to pay, your customers can buy more, and more often.

### Simple Set Up

Follow a few easy steps and Fundbox will appear as a payment option in your checkout.

`*` For a list of all states with extended financing, click here: https://help.fundboxpay.com/hc/en-us/articles/211870545

*NOTE*: The Fundbox app is free, but requires an account with Fundbox. To sign up for Fundbox, [click here](https://fundboxpay.com/).

## How It Works

1. **Register for a Fundbox account**. Give us some basic info about your business and connect your bank account so we know where to send your money.
2. **Add the Fundbox plug-in.** Follow a few simple steps to add Fundbox to your checkout experience. No engineers needed. It will default to net-60 terms. If you want you can configure it to your specifications with help from our sales team.
3.  **Start getting paid.** When Fundbox is live in your checkout, your customers can apply for credit and, if approved, use Fundbox to make a purchase from you in minutes. You pay an interchange fee per transaction.


## Feature Highlights

### Credit limits up to $100,000

Approved customers can qualify for up to $100,000 in credit through Fundbox.

### Flexible Terms

You can configure Fundbox to offer the net terms that fit with your business. Net 30, 45, or 60: it’s your choice. Just connect with a member of our sales team and we can help.

### Authorizations

You can authorize a purchase before money changes hands. Credit from your customer’s Fundbox account will be earmarked until the transaction is complete. You don’t pay any fees until the transaction is complete.

### Omnichannel Transactions

While Fundbox works seamlessly within <Platform Name> , it also works if you transact through invoicing. If your customer is approved for Fundbox Credit, they can use it to pay you however you choose to transact.

### Guaranteed Payments

When your customer pays you using Fundbox, you will receive the money, every time.

### No Hidden Fees

You pay 2.9% fee for each transaction. Nothing else.

### Seamless Buyer Onboarding

Your customers can apply for Fundbox in minutes and get a credit decision in as little as 3 minutes. And they can do it all without ever leaving your checkout experience.

## About Fundbox
Fundbox is an AI-powered business capital platform designed to accelerate B2B commerce at scale.

Fundbox facilitates transactions between B2B sellers and the buyers they serve, paying sellers right away and providing buyers with net terms and extended financing if they qualify.



Fundbox’s mission is to help business owners thrive by offering credit at the moment of need. Since its founding in 2013, Fundbox has worked with over 100,000 businesses in North America and has been awarded various honors by Forbes, PYMNTS, CB Insights, and other publications as a leader in its space.

`*` Extended financing is available in most states.
